unit fMHA_Options_508;

interface

uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  JvXPCheckCtrls,
  JvExControls,
  JvComponent,
  JvXPCore,
  JvXPButtons,
  ExtCtrls,
  uIA_GUIControl;

type
  TfrmMHA_Options_508 = class(TForm)
    pnlButton: TPanel;
    btnDone: TJvXPButton;
    btnCancel: TJvXPButton;
    gbMenu: TGroupBox;
    GroupBox2: TGroupBox;
    lbSpeedTab: TListBox;
    gbScreenReader: TGroupBox;
    lbScreenReader: TListBox;
    lbMenu: TListBox;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ConfigureForm;

    procedure btnCancelClick(Sender: TObject);
    procedure btnDoneClick(Sender: TObject);
    //procedure CreateFont(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMHA_Options_508          : TfrmMHA_Options_508;

implementation

{$R *.dfm}

uses
  uIA_Const,
  uMHA_Const,
  fIA_dialogs,
  uMHA_Registry;



procedure TfrmMHA_Options_508.FormCreate(Sender: TObject);
begin
  // Keep Position out of ConfigureForm when ConfigureForm can be called
  // more than once with the form.
  Position := poDesigned;

  ConfigureForm;
  ShowModal;
end;

procedure TfrmMHA_Options_508.FormShow(Sender: TObject);
begin
  MHA_Registry.ReadRegistry;

  Screen.Cursor := crDefault;
  ActiveControl := gbMenu;
end;

procedure TfrmMHA_Options_508.ConfigureForm;
begin

  Scaled := True;
  AutoScroll := true;
  AutoSize := False;
  PixelsPerInch := 120;

  KeyPreview := True;
  HorzScrollBar.Range := 0; // Ensures that buttons will move when re-sized
  VertScrollBar.Range := 0;

  Caption := 'M H A User Preferences ';
end;


procedure TfrmMHA_Options_508.btnCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmMHA_Options_508.btnDoneClick(Sender: TObject);
begin

  gvUseScreenReader := lbScreenReader.ItemIndex = 1;
  gvSpeedTab := lbSpeedTab.ItemIndex = 1;
  gvStart := lbMenu.ItemIndex;

  MHA_Registry.SaveRegistry;
  Close;
end;

end.

