library YS_MHA_AUX;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  ShareMem,
  SysUtils,
  Classes,
  uMHA_AUX in 'uMHA_AUX.pas',
  uMHA_AUX_Const in 'uMHA_AUX_Const.pas',
  uMHA_AUX_Utils in 'uMHA_AUX_Utils.pas',
  uMHA_AUX_SpecialResults in 'uMHA_AUX_SpecialResults.pas',
  uMHA_AUX_DBAS in 'uMHA_AUX_DBAS.pas',
  uMHA_AUX_SBR_II in 'uMHA_AUX_SBR_II.pas',
  uMHA_AUX_SBR in 'uMHA_AUX_SBR.pas',
  uMHA_AUX_MDQ in 'uMHA_AUX_MDQ.pas',
  uMHA_AUX_SPSI in 'uMHA_AUX_SPSI.pas',
  uMHA_AUX_CAM in 'uMHA_AUX_CAM.pas',
  uMHA_AUX_SSTVOI in 'uMHA_AUX_SSTVOI.pas',
  uMHA_AUX_SSTVOF in 'uMHA_AUX_SSTVOF.pas',
  uMHA_AUX_SOCRATES_8A in 'uMHA_AUX_SOCRATES_8A.pas',
  uMHA_AUX_SOCRATES_8D in 'uMHA_AUX_SOCRATES_8D.pas',
  uMHA_AUX_BSL23 in 'uMHA_AUX_BSL23.pas',
  uMHA_AUX_DERS in 'uMHA_AUX_DERS.pas',
  uMHA_AUX_FAD in 'uMHA_AUX_FAD.pas',
  uMHA_AUX_QOLIE31 in 'uMHA_AUX_QOLIE31.pas',
  uMHA_AUX_BAM in 'uMHA_AUX_BAM.pas',
  uMHA_AUX_MMPI2RF in 'uMHA_AUX_MMPI2RF.pas';

{$R *.RES}

exports
  DefaultAnswers,
  VerifyAnswers,
  GroomAnswers,
  ScoreAnswers,
  ProgressNote,
  Custom,
  StaticLookup,
  VistaLookup,
  SpecialResults;

begin
end.

 